Update project settings
curl --request PUT \
--url https://api.dualship.run/api/v1/projects/{id}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '
{
"cors": {
"allow_credentials": true,
"allowed_headers": [
"<string>"
],
"allowed_methods": [
"<string>"
],
"allowed_origins": [
"<string>"
],
"enabled": true,
"max_age": 302400
},
"log_filters": {
"masked_keywords": [
"<string>"
]
},
"logging": {
"enabled": true
},
"rate_limit": {
"burst_size": 5000,
"enabled": true,
"requests_per_min": 50000
}
}
'import requests
url = "https://api.dualship.run/api/v1/projects/{id}/settings"
payload = {
"cors": {
"allow_credentials": True,
"allowed_headers": ["<string>"],
"allowed_methods": ["<string>"],
"allowed_origins": ["<string>"],
"enabled": True,
"max_age": 302400
},
"log_filters": { "masked_keywords": ["<string>"] },
"logging": { "enabled": True },
"rate_limit": {
"burst_size": 5000,
"enabled": True,
"requests_per_min": 50000
}
}
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
cors: {
allow_credentials: true,
allowed_headers: ['<string>'],
allowed_methods: ['<string>'],
allowed_origins: ['<string>'],
enabled: true,
max_age: 302400
},
log_filters: {masked_keywords: ['<string>']},
logging: {enabled: true},
rate_limit: {burst_size: 5000, enabled: true, requests_per_min: 50000}
})
};
fetch('https://api.dualship.run/api/v1/projects/{id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cors": {
"allow_credentials": true,
"allowed_headers": [
"<string>"
],
"allowed_methods": [
"<string>"
],
"allowed_origins": [
"<string>"
],
"enabled": true,
"max_age": 86400
},
"log_filters": {
"masked_keywords": [
"<string>"
]
},
"logging": {
"enabled": true
},
"rate_limit": {
"burst_size": 100,
"enabled": true,
"requests_per_min": 1000
}
}{
"code": "BAD_REQUEST",
"error": "invalid request parameters"
}{
"code": "UNAUTHORIZED",
"error": "unauthorized"
}{
"code": "NOT_FOUND",
"error": "resource not found"
}{
"code": "INTERNAL_ERROR",
"error": "internal server error"
}projects
Update project settings
Update settings for a project (partial updates supported)
PUT
/
api
/
v1
/
projects
/
{id}
/
settings
Update project settings
Authorizations
JWT Bearer token authentication
Headers
Workspace ID
Path Parameters
Project ID
Body
application/json
Settings to update
Was this page helpful?
⌘I